# Method: accounts.locations.questions.answers.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.ListAnswersResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers/list#body.aspect)

Returns the paginated list of answers for a specified question.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*/questions/*}/answers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the question to fetch answers for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many answers to fetch per page. The default and maximum `pageSize` values are 10. |
| `pageToken` | `string` If specified, the next page of answers is retrieved. |
| `orderBy` | `string` The order to return the answers. Valid options include 'updateTime desc' and 'upvoteCount desc', which will return the answers sorted descendingly by the requested field. The default sort order is 'updateTime desc'. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for QuestionsAndAnswers.ListAnswers

| JSON representation ||
|---|---|
| ``` { "answers": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers#Answer`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `answers[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.questions.answers#Answer`)`` The requested answers. |
| `totalSize` | `integer` The total number of answers posted for this question across all pages. |
| `nextPageToken` | `string` If the number of answers exceeds the requested max page size, this field is populated with a token to fetch the next page of answers on a subsequent call. If there are no more answers, this field is not present in the response. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).